# Interface OrderByClauseJson

A clause in a layer definition's `orderBy` property.

interface OrderByClauseJson {
field?: string;
order?: "asc" | "desc";
valueExpression?: string;
}

#####
Index

### Properties

field?
order?
valueExpression?

##
Properties

### `Optional` field

field?: string

The number or date field whose values will be used to sort features.

### `Optional` order

order?: "asc" | "desc"

The sort order.

### `Optional` valueExpression

valueExpression?: string

The Arcade expression whose return value will be used to sort features. (Currently undocumented by ESRI's Webmap Spec).

Read more....